1. 04 Jan, 2016 1 commit
  2. 03 Jan, 2016 1 commit
  3. 09 Dec, 2014 1 commit
    • Russ Allbery's avatar
      Release 1.2 · 391f4f92
      Russ Allbery authored
      Change-Id: I4157db0f690542db0eb1bfbcb7e15bfee890cd65
      391f4f92
  4. 16 Jul, 2014 3 commits
  5. 12 Jul, 2014 3 commits
  6. 13 Apr, 2014 1 commit
  7. 29 Mar, 2013 1 commit
  8. 28 Mar, 2013 1 commit
  9. 27 Mar, 2013 3 commits
  10. 28 Feb, 2013 2 commits
    • Russ Allbery's avatar
      Reformat README in my current format, add LICENSE · e6765462
      Russ Allbery authored
      Add new SUPPORT and SOURCE REPOSITORY sections, reformat the copyright
      and license information a bit, and add a new LICENSE section with the
      general package license.
      
      Change-Id: I7201519f18626c26686e7c81b51124c4d5581814
      Reviewed-on: https://gerrit.stanford.edu/845
      
      
      Reviewed-by: default avatarRuss Allbery <rra@stanford.edu>
      Tested-by: default avatarRuss Allbery <rra@stanford.edu>
      e6765462
    • Russ Allbery's avatar
      Update to rra-c-util 4.8 and C TAP Harness 1.12 · 234e3805
      Russ Allbery authored
      Update to rra-c-util 4.8:
      
      * Look for krb5-config in /usr/kerberos/bin after the user's PATH.
      * Kerberos library probing fixes without transitive shared libraries.
      * Fix Autoconf warnings when probing for AIX's bundled Kerberos.
      * Avoid using krb5-config if --with-{krb5,gssapi}-{include,lib} given.
      * Correctly remove -I/usr/include from Kerberos and GSS-API flags.
      * Build on systems where krb5/krb5.h exists but krb5.h does not.
      * Pass --deps to krb5-config unless --enable-reduced-depends was used.
      * Do not use krb5-config results unless gssapi is supported.
      * Fix probing for Heimdal's libroken to work with older versions.
      * Update warning flags for GCC 4.6.1.
      * Update utility library and test suite for newer GCC warnings.
      * Fix broken GCC attribute markers causing compilation problems.
      * Suppress warnings on compilers that support gcc's __attribute__.
      * Add notices to all files copied over from rra-c-util.
      * Fix warnings when reporting memory allocation failure in messages.c.
      * Fix message utility library compiler warnings on 64-bit systems.
      * Include strings.h for additional POSIX functions where found.
      * Use an atexit handler to clean up after Kerberos tests.
      * Kerberos test configuration now goes in tests/config.
      * The principal of the test keytab is determined automatically.
      * Simplify the test suite calls for Kerberos and remctl tests.
      * Check for a missing ssize_t.
      * Improve the xstrndup utility function.
      * Checked asprintf variants are now void functions and cannot fail.
      * Fix use of long long in portable/mkstemp.c.
      * Fix test suite portability to Solaris.
      * Substantial improvements to the POD syntax and spelling checks.
      
      Update to C TAP Harness 1.12:
      
      * Fix compliation of runtests with more aggressive warnings.
      * Add a more complete usage message and a -h command-line flag.
      * Flush stderr before printing output from tests.
      * Better handle running shell tests without BUILD and SOURCE set.
      * Fix runtests to honor -s even if BUILD and -b aren't given.
      * runtests now frees all allocated resources on exit.
      * Only use feature-test macros when requested or built with gcc -ansi.
      * Drop is_double from the C TAP library to avoid requiring -lm.
      * Avoid using local in the shell libtap.sh library.
      * Suppress warnings on compilers that support gcc's __attribute__.
      
      Change-Id: I394294d5486ac1ce265c7713bec71a148aaaf1ce
      Reviewed-on: https://gerrit.stanford.edu/841
      
      
      Reviewed-by: default avatarRuss Allbery <rra@stanford.edu>
      Tested-by: default avatarRuss Allbery <rra@stanford.edu>
      234e3805
  11. 04 Apr, 2012 1 commit
    • Russ Allbery's avatar
      Add initial LDAP attribute ACL verifier · f1eab726
      Russ Allbery authored
      A new ACL type, ldap-attr (Wallet::ACL::LDAP::Attribute), is now
      supported.  This ACL type grants access if the LDAP entry
      corresponding to the principal contains the attribute name and value
      specified in the ACL.  The Net::LDAP and Authen::SASL Perl modules are
      required to use this ACL type.  New configuration settings are
      required as well; see Wallet::Config for more information.  To enable
      this ACL type for an existing wallet database, use wallet-admin to
      register the new verifier.
      f1eab726
  12. 17 May, 2011 1 commit
  13. 25 Aug, 2010 1 commit
  14. 30 Jul, 2010 1 commit
  15. 04 Apr, 2010 1 commit
  16. 08 Mar, 2010 1 commit
  17. 22 Feb, 2010 2 commits
  18. 21 Feb, 2010 2 commits
  19. 10 Feb, 2010 2 commits
  20. 09 Feb, 2010 3 commits
    • Russ Allbery's avatar
      Add thanks to Jon Robertson to README · 56243188
      Russ Allbery authored
      56243188
    • Russ Allbery's avatar
      Update the Autoconf code to rra-c-util 3.0 · 838a7322
      Russ Allbery authored
      * Sanity-check the results of krb5-config before proceeding.
      * Fall back on manual probing if krb5-config results don't work.
      * Add --with-krb5-include and --with-krb5-lib configure options.
      * Add --with-remctl-include and --with-remctl-lib configure options.
      * Add --with-gssapi-include and --with-gssapi-lib configure options.
      * Don't break if the user clobbers CPPFLAGS at build time.
      * Suppress error output from krb5-config probes.
      * Prefer KRB5_CONFIG over a path constructed from --with-*.
      * Update GSS-API probes for Solaris 10's native implementation.
      * Change AC_TRY_* to AC_*_IFELSE as recommended by Autoconf.
      
      Also strip out more outdated AFS kaserver instructions from README.
      838a7322
    • Russ Allbery's avatar
      Document and make case-insensitive KEYTAB_KRBTYPE · b0377701
      Russ Allbery authored
      KEYTAB_KRBTYPE wasn't documented in Wallet::Config.  Add it and the
      variable declaration.  Also document the new mandatory setting in
      NEWS and add the Heimdal::Kadm5 requirement to README.  Remove some
      of the language in README that implies that only MIT Kerberos is
      supported.
      
      Make the setting case-insensitive and improve the error message from
      Wallet::Kadmin if it isn't set.
      b0377701
  21. 25 Apr, 2008 2 commits
  22. 24 Apr, 2008 4 commits
  23. 13 Feb, 2008 1 commit
  24. 09 Feb, 2008 1 commit